function vexalarm_gen_optionpanel_spells()
	vexalarm.optionpanel_spells = CreateFrame( "Frame", "vexalarm_optionpanel_spells", vexalarm.optionpanel)
	vexalarm.optionpanel_spells.name = "VexA Spells"
	vexalarm.optionpanel_spells.parent = "Vex Alarm"

	
	
	vexalarm_spell_listing_start = -40
	vexalarm_spell_listing_space = 80
	vexalarm_spell_listing_start_1 = vexalarm_spell_listing_start
	vexalarm_spell_listing_start_2 = vexalarm_spell_listing_start_1+(#vexalarm_selfbuffs_defaults*-20)-vexalarm_spell_listing_space
	vexalarm_spell_listing_start_3 = vexalarm_spell_listing_start_2+(#vexalarm_buffs_defaults*-20)-vexalarm_spell_listing_space
	vexalarm_spell_listing_start_4 = vexalarm_spell_listing_start_3+(#vexalarm_grpbuffs_defaults*-20)-vexalarm_spell_listing_space
	vexalarm_spell_listing_start_5 = vexalarm_spell_listing_start_4+(#vexalarm_instants_defaults*-20)-vexalarm_spell_listing_space
	vexalarm_spell_listing_end = vexalarm_spell_listing_start_5+(#vexalarm_instantsself_defaults*-20)-vexalarm_spell_listing_space
	vexalarm_spell_checkbutton_x = {380, 420, 460, 500}
	
	--Title and subtitle
	panel_spells_text_title = vexalarm_textframe_template("|CFFFF7D0Avexalarm|r option panel", "GameFontNormalLarge", vexalarm.optionpanel_spells, {1, 1, 1, 1}, 20, -20, "LEFT")

	panel_spells_raidrole_show_as = vexalarm_textframe_template("show when the raidrole of the caster is:", "", vexalarm.optionpanel_spells, {1, 1, 1, 1}, vexalarm_spell_checkbutton_x[1]-30, -40, "LEFT")
	panel_spells_raidrole_tank = vexalarm_textframe_template("tank", "", vexalarm.optionpanel_spells, {1, 1, 1, 1}, vexalarm_spell_checkbutton_x[1]-10, -60, "LEFT")
	panel_spells_raidrole_healer = vexalarm_textframe_template("healer", "", vexalarm.optionpanel_spells, {1, 1, 1, 1}, vexalarm_spell_checkbutton_x[2]-10, -60, "LEFT")
	panel_spells_raidrole_dd = vexalarm_textframe_template("dd", "", vexalarm.optionpanel_spells, {1, 1, 1, 1}, vexalarm_spell_checkbutton_x[3], -60, "LEFT")
	panel_spells_raidrole_undefined = vexalarm_textframe_template("not set", "", vexalarm.optionpanel_spells, {1, 1, 1, 1}, vexalarm_spell_checkbutton_x[4]-10, -60, "LEFT")
	
	
	
	vexalarm_spell_listing_start = -20
	vexalarm_spell_listing_space = 80
	vexalarm_spell_listing_per_row = -20
	vexalarm_spell_listing_start_1 = vexalarm_spell_listing_start
	vexalarm_spell_listing_start_2 = vexalarm_spell_listing_start_1+(#vexalarm_selfbuffs_defaults*vexalarm_spell_listing_per_row)-vexalarm_spell_listing_space
	vexalarm_spell_listing_start_3 = vexalarm_spell_listing_start_2+(#vexalarm_buffs_defaults*vexalarm_spell_listing_per_row)-vexalarm_spell_listing_space
	vexalarm_spell_listing_start_4 = vexalarm_spell_listing_start_3+(#vexalarm_grpbuffs_defaults*vexalarm_spell_listing_per_row)-vexalarm_spell_listing_space
	vexalarm_spell_listing_start_5 = vexalarm_spell_listing_start_4+(#vexalarm_instants_defaults*vexalarm_spell_listing_per_row)-vexalarm_spell_listing_space
	vexalarm_spell_listing_end = vexalarm_spell_listing_start_5+(#vexalarm_instantsself_defaults*vexalarm_spell_listing_per_row)-vexalarm_spell_listing_space
	vexalarm_spell_checkbutton_x = {380, 420, 460, 500}
	
	--ScrollFrame
	vexalarm.optionpanel_spells_scrollframe = CreateFrame( "Scrollframe", "optionpanel_spells_scrollframe", vexalarm.optionpanel_spells, "UIPanelScrollFrameTemplate")
	vexalarm.optionpanel_spells_scrollframe.name = "Spells Scrollframe"
	vexalarm.optionpanel_spells_scrollframe:SetWidth("590")
	vexalarm.optionpanel_spells_scrollframe:SetHeight("480")
	vexalarm.optionpanel_spells_scrollframe:SetPoint("TOPLEFT", 0 ,-80)
	vexalarm.optionpanel_spells_scrollframe.parent = optionpanel_spells
	
	vexalarm.optionpanel_spells_scrollframe_child = CreateFrame( "Frame", "optionpanel_spells_scrollframe_child", vexalarm.optionpanel_spells_scrollframe)
	vexalarm.optionpanel_spells_scrollframe_child.name = "Spells Scrollframe Child"
	vexalarm.optionpanel_spells_scrollframe_child:SetWidth("580")
	vexalarm.optionpanel_spells_scrollframe_child:SetHeight(-vexalarm_spell_listing_end)
	vexalarm.optionpanel_spells_scrollframe_child:SetPoint("TOPLEFT")
	vexalarm.optionpanel_spells_scrollframe_child.parent = optionpanel_spells_scrollframe
	
	vexalarm.optionpanel_spells_scrollframe:SetScrollChild(vexalarm.optionpanel_spells_scrollframe_child)
	
	--Scrollframe Content
	
	panel_spells_spellname={{}, {}, {}, {}, {}}
	panel_spells_checkbox={{{},{},{},{}}, {{},{},{},{}}, {{},{},{},{}}, {{},{},{},{}}, {{},{},{},{}}}
	
	local classlist = {"DEATHKNIGHT", "DRUID", "HUNTER", "MAGE", "MONK", "PALADIN", "PRIEST", "ROGUE", "SHAMAN", "WARLOCK", "WARRIOR", ""}
		
	panel_spells_text_selfbuff_title = vexalarm_textframe_template("buffs without targets", "GameFontNormalLarge", vexalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, vexalarm_spell_listing_start_1+20, "LEFT")

	
	local listing

	listing = 0
	for k=1, #classlist do 
		for i=1,#vexalarm_selfbuffs_defaults do
			if classlist[k] == vexalarm_selfbuffs_defaults[i][6] then
				listing=listing+1
				y = (listing*-20)+vexalarm_spell_listing_start_1
				panel_spells_spellname[1][i] = vexalarm_textframe_template(vexalarm_colorize_class(select(1, GetSpellInfo(vexalarm_selfbuffs_defaults[i][1])), false, vexalarm_selfbuffs_defaults[i][6]), "", vexalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, y, "LEFT")
				
				
				panel_spells_checkbox[1][1][i] = vexalarm_checkbox_template("panel_spells_checkbox[1][1]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[1], y, 20, 20)
				if vexalarm_selfbuffs[i][2] then panel_spells_checkbox[1][1][i]:SetChecked(true) end
				panel_spells_checkbox[1][1][i]:SetScript("OnClick", function () vexalarm_selfbuffs[i][2]=panel_spells_checkbox[1][1][i]:GetChecked() vexalarm_selfbuffs[i][1] = vexalarm_selfbuffs_defaults[i][1] vexalarm_selfbuffs[i][6] = vexalarm_selfbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[1][2][i] = vexalarm_checkbox_template("panel_spells_checkbox[1][2]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[2], y, 20, 20)
				if vexalarm_selfbuffs[i][3] then panel_spells_checkbox[1][2][i]:SetChecked(true) end
				panel_spells_checkbox[1][2][i]:SetScript("OnClick", function () vexalarm_selfbuffs[i][3]=panel_spells_checkbox[1][2][i]:GetChecked() vexalarm_selfbuffs[i][1] = vexalarm_selfbuffs_defaults[i][1] vexalarm_selfbuffs[i][6] = vexalarm_selfbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[1][3][i] = vexalarm_checkbox_template("panel_spells_checkbox[1][3]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[3], y, 20, 20)
				if vexalarm_selfbuffs[i][4] then panel_spells_checkbox[1][3][i]:SetChecked(true) end
				panel_spells_checkbox[1][3][i]:SetScript("OnClick", function () vexalarm_selfbuffs[i][4]=panel_spells_checkbox[1][3][i]:GetChecked() vexalarm_selfbuffs[i][1] = vexalarm_selfbuffs_defaults[i][1] vexalarm_selfbuffs[i][6] = vexalarm_selfbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[1][4][i] = vexalarm_checkbox_template("panel_spells_checkbox[1][4]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[4], y, 20, 20)
				if vexalarm_selfbuffs[i][5] then panel_spells_checkbox[1][4][i]:SetChecked(true) end
				panel_spells_checkbox[1][4][i]:SetScript("OnClick", function () vexalarm_selfbuffs[i][5]=panel_spells_checkbox[1][4][i]:GetChecked() vexalarm_selfbuffs[i][1] = vexalarm_selfbuffs_defaults[i][1] vexalarm_selfbuffs[i][6] = vexalarm_selfbuffs_defaults[i][6] end)
			end
		end
	end
	
	panel_spells_text_buff_title = vexalarm_textframe_template("buffs with a single target", "GameFontNormalLarge", vexalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, vexalarm_spell_listing_start_2+20, "LEFT")
	listing = 0
	for k=1, #classlist do 
		for i=1,#vexalarm_buffs_defaults do
			if classlist[k] == vexalarm_buffs_defaults[i][6] then
				listing=listing+1
				y = (listing*-20)+vexalarm_spell_listing_start_2
				panel_spells_spellname[2][i] = vexalarm_textframe_template(vexalarm_colorize_class(select(1, GetSpellInfo(vexalarm_buffs_defaults[i][1])), false, vexalarm_buffs_defaults[i][6]), "", vexalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, y, "LEFT")
				
				panel_spells_checkbox[2][1][i] = vexalarm_checkbox_template("panel_spells_checkbox[2][1]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[1], y, 20, 20)
				if vexalarm_buffs[i][2] then panel_spells_checkbox[2][1][i]:SetChecked(true) end
				panel_spells_checkbox[2][1][i]:SetScript("OnClick", function () vexalarm_buffs[i][2]=panel_spells_checkbox[2][1][i]:GetChecked() vexalarm_buffs[i][1] = vexalarm_buffs_defaults[i][1] vexalarm_buffs[i][6] = vexalarm_buffs_defaults[i][6] end)
				
				panel_spells_checkbox[2][2][i] = vexalarm_checkbox_template("panel_spells_checkbox[2][2]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[2], y, 20, 20)
				if vexalarm_buffs[i][3] then panel_spells_checkbox[2][2][i]:SetChecked(true) end
				panel_spells_checkbox[2][2][i]:SetScript("OnClick", function () vexalarm_buffs[i][3]=panel_spells_checkbox[2][2][i]:GetChecked() vexalarm_buffs[i][1] = vexalarm_buffs_defaults[i][1] vexalarm_buffs[i][6] = vexalarm_buffs_defaults[i][6] end)
				
				panel_spells_checkbox[2][3][i] = vexalarm_checkbox_template("panel_spells_checkbox[2][3]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[3], y, 20, 20)
				if vexalarm_buffs[i][4] then panel_spells_checkbox[2][3][i]:SetChecked(true) end
				panel_spells_checkbox[2][3][i]:SetScript("OnClick", function () vexalarm_buffs[i][4]=panel_spells_checkbox[2][3][i]:GetChecked() vexalarm_buffs[i][1] = vexalarm_buffs_defaults[i][1] vexalarm_buffs[i][6] = vexalarm_buffs_defaults[i][6] end)
				
				panel_spells_checkbox[2][4][i] = vexalarm_checkbox_template("panel_spells_checkbox[2][4]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[4], y, 20, 20)
				if vexalarm_buffs[i][5] then panel_spells_checkbox[2][4][i]:SetChecked(true) end
				panel_spells_checkbox[2][4][i]:SetScript("OnClick", function () vexalarm_buffs[i][5]=panel_spells_checkbox[2][4][i]:GetChecked() vexalarm_buffs[i][1] = vexalarm_buffs_defaults[i][1] vexalarm_buffs[i][6] = vexalarm_buffs_defaults[i][6] end)
			end
		end
	end
	
	panel_spells_text_grpbuffs_title = vexalarm_textframe_template("buffs effecting multiple targets", "GameFontNormalLarge", vexalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, vexalarm_spell_listing_start_3+20, "LEFT")
	listing = 0
	for k=1, #classlist do 
		for i=1,#vexalarm_grpbuffs_defaults do
			if classlist[k] == vexalarm_grpbuffs_defaults[i][6] then
				listing=listing+1
				y = (listing*-20)+vexalarm_spell_listing_start_3
				panel_spells_spellname[3][i] = vexalarm_textframe_template(vexalarm_colorize_class(select(1, GetSpellInfo(vexalarm_grpbuffs_defaults[i][1])), false, vexalarm_grpbuffs_defaults[i][6]), "", vexalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, y, "LEFT")
				
				panel_spells_checkbox[3][1][i] = vexalarm_checkbox_template("panel_spells_checkbox[3][1]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[1], y, 20, 20)
				if vexalarm_grpbuffs[i][2] then panel_spells_checkbox[3][1][i]:SetChecked(true) end
				panel_spells_checkbox[3][1][i]:SetScript("OnClick", function () vexalarm_grpbuffs[i][2]=panel_spells_checkbox[3][1][i]:GetChecked() vexalarm_grpbuffs[i][1] = vexalarm_grpbuffs_defaults[i][1] vexalarm_grpbuffs[i][6] = vexalarm_grpbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[3][2][i] = vexalarm_checkbox_template("panel_spells_checkbox[3][2]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[2], y, 20, 20)
				if vexalarm_grpbuffs[i][3] then panel_spells_checkbox[3][2][i]:SetChecked(true) end
				panel_spells_checkbox[3][2][i]:SetScript("OnClick", function () vexalarm_grpbuffs[i][3]=panel_spells_checkbox[3][2][i]:GetChecked() vexalarm_grpbuffs[i][1] = vexalarm_grpbuffs_defaults[i][1] vexalarm_grpbuffs[i][6] = vexalarm_grpbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[3][3][i] = vexalarm_checkbox_template("panel_spells_checkbox[3][3]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[3], y, 20, 20)
				if vexalarm_grpbuffs[i][4] then panel_spells_checkbox[3][3][i]:SetChecked(true) end
				panel_spells_checkbox[3][3][i]:SetScript("OnClick", function () vexalarm_grpbuffs[i][4]=panel_spells_checkbox[3][3][i]:GetChecked() vexalarm_grpbuffs[i][1] = vexalarm_grpbuffs_defaults[i][1] vexalarm_grpbuffs[i][6] = vexalarm_grpbuffs_defaults[i][6] end)
				
				panel_spells_checkbox[3][4][i] = vexalarm_checkbox_template("panel_spells_checkbox[3][4]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[4], y, 20, 20)
				if vexalarm_grpbuffs[i][5] then panel_spells_checkbox[3][4][i]:SetChecked(true) end
				panel_spells_checkbox[3][4][i]:SetScript("OnClick", function () vexalarm_grpbuffs[i][5]=panel_spells_checkbox[3][4][i]:GetChecked() vexalarm_grpbuffs[i][1] = vexalarm_grpbuffs_defaults[i][1] vexalarm_grpbuffs[i][6] = vexalarm_grpbuffs_defaults[i][6] end)
			end
		end
	end
	
	panel_spells_text_instants_title = vexalarm_textframe_template("casts with targets", "GameFontNormalLarge", vexalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, vexalarm_spell_listing_start_4+20, "LEFT")
	listing = 0
	for k=1, #classlist do
		for i=1,#vexalarm_instants_defaults do
			if classlist[k] == vexalarm_instants_defaults[i][6] then
				listing=listing+1
				y = (listing*-20)+vexalarm_spell_listing_start_4
				panel_spells_spellname[4][i] = vexalarm_textframe_template(vexalarm_colorize_class(select(1, GetSpellInfo(vexalarm_instants_defaults[i][1])), false, vexalarm_instants_defaults[i][6]), "", vexalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, y, "LEFT")
				
				panel_spells_checkbox[4][1][i] = vexalarm_checkbox_template("panel_spells_checkbox[4][1]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[1], y, 20, 20)
				if vexalarm_instants[i][2] then panel_spells_checkbox[4][1][i]:SetChecked(true) end
				panel_spells_checkbox[4][1][i]:SetScript("OnClick", function () vexalarm_instants[i][2]=panel_spells_checkbox[4][1][i]:GetChecked() vexalarm_instants[i][1] = vexalarm_instants_defaults[i][1] vexalarm_instants[i][6] = vexalarm_instants_defaults[i][6] end)
				
				panel_spells_checkbox[4][2][i] = vexalarm_checkbox_template("panel_spells_checkbox[4][2]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[2], y, 20, 20)
				if vexalarm_instants[i][3] then panel_spells_checkbox[4][2][i]:SetChecked(true) end
				panel_spells_checkbox[4][2][i]:SetScript("OnClick", function () vexalarm_instants[i][3]=panel_spells_checkbox[4][2][i]:GetChecked() vexalarm_instants[i][1] = vexalarm_instants_defaults[i][1] vexalarm_instants[i][6] = vexalarm_instants_defaults[i][6] end)
				
				panel_spells_checkbox[4][3][i] = vexalarm_checkbox_template("panel_spells_checkbox[4][3]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[3], y, 20, 20)
				if vexalarm_instants[i][4] then panel_spells_checkbox[4][3][i]:SetChecked(true) end
				panel_spells_checkbox[4][3][i]:SetScript("OnClick", function () vexalarm_instants[i][4]=panel_spells_checkbox[4][3][i]:GetChecked() vexalarm_instants[i][1] = vexalarm_instants_defaults[i][1] vexalarm_instants[i][6] = vexalarm_instants_defaults[i][6] end)
				
				panel_spells_checkbox[4][4][i] = vexalarm_checkbox_template("panel_spells_checkbox[4][4]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[4], y, 20, 20)
				if vexalarm_instants[i][5] then panel_spells_checkbox[4][4][i]:SetChecked(true) end
				panel_spells_checkbox[4][4][i]:SetScript("OnClick", function () vexalarm_instants[i][5]=panel_spells_checkbox[4][4][i]:GetChecked() vexalarm_instants[i][1] = vexalarm_instants_defaults[i][1] vexalarm_instants[i][6] = vexalarm_instants_defaults[i][6] end)
			end
		end
	end
	
	
	
	
	panel_spells_text_instantsself_title = vexalarm_textframe_template("casts without targets", "GameFontNormalLarge", vexalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, vexalarm_spell_listing_start_5+20, "LEFT")
	listing = 0
	for k=1, #classlist do
	for i=1,#vexalarm_instantsself_defaults do
			if classlist[k] == vexalarm_instantsself_defaults[i][6] then
				listing=listing+1
				y = (listing*-20)+vexalarm_spell_listing_start_5
				panel_spells_spellname[5][i] = vexalarm_textframe_template(vexalarm_colorize_class(select(1, GetSpellInfo(vexalarm_instantsself_defaults[i][1])), false, vexalarm_instantsself_defaults[i][6]), "", vexalarm.optionpanel_spells_scrollframe_child, {1, 1, 1, 1}, 20, y, "LEFT")
				
				panel_spells_checkbox[5][1][i] = vexalarm_checkbox_template("panel_spells_checkbox[5][1]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[1], y, 20, 20)
				if vexalarm_instantsself[i][2] then panel_spells_checkbox[5][1][i]:SetChecked(true) end
				panel_spells_checkbox[5][1][i]:SetScript("OnClick", function () vexalarm_instantsself[i][2]=panel_spells_checkbox[5][1][i]:GetChecked() vexalarm_instantsself[i][1] = vexalarm_instantsself_defaults[i][1] vexalarm_instantsself[i][6] = vexalarm_instantsself_defaults[i][6] end)
				
				panel_spells_checkbox[5][2][i] = vexalarm_checkbox_template("panel_spells_checkbox[5][2]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[2], y, 20, 20)
				if vexalarm_instantsself[i][3] then panel_spells_checkbox[5][2][i]:SetChecked(true) end
				panel_spells_checkbox[5][2][i]:SetScript("OnClick", function () vexalarm_instantsself[i][3]=panel_spells_checkbox[5][2][i]:GetChecked() vexalarm_instantsself[i][1] = vexalarm_instantsself_defaults[i][1] vexalarm_instantsself[i][6] = vexalarm_instantsself_defaults[i][6] end)
				
				panel_spells_checkbox[5][3][i] = vexalarm_checkbox_template("panel_spells_checkbox[5][3]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[3], y, 20, 20)
				if vexalarm_instantsself[i][4] then panel_spells_checkbox[5][3][i]:SetChecked(true) end
				panel_spells_checkbox[5][3][i]:SetScript("OnClick", function () vexalarm_instantsself[i][4]=panel_spells_checkbox[5][3][i]:GetChecked() vexalarm_instantsself[i][1] = vexalarm_instantsself_defaults[i][1] vexalarm_instantsself[i][6] = vexalarm_instantsself_defaults[i][6] end)
				
				panel_spells_checkbox[5][4][i] = vexalarm_checkbox_template("panel_spells_checkbox[5][4]["..i.."]", "", "", vexalarm.optionpanel_spells_scrollframe_child, vexalarm_spell_checkbutton_x[4], y, 20, 20)
				if vexalarm_instantsself[i][5] then panel_spells_checkbox[5][4][i]:SetChecked(true) end
				panel_spells_checkbox[5][4][i]:SetScript("OnClick", function () vexalarm_instantsself[i][5]=panel_spells_checkbox[5][4][i]:GetChecked() vexalarm_instantsself[i][1] = vexalarm_instantsself_defaults[i][1] vexalarm_instantsself[i][6] = vexalarm_instantsself_defaults[i][6] end)
			end
		end
	end

	
	InterfaceOptions_AddCategory(vexalarm.optionpanel_spells)
end