--Start values
vexalarm_infight = false
vexalarm_lock = true
vexalarm_proclaim_timestamps = {}
vexalarm_proclaim_texts ={}
vexalarm_last_spell_id = ""
vexalarm_last_spell_timestamp = 0
vexalarm_last_spell_event = ""
vexalarm_ingrp = false

vexalarm = {}
vexalarm.AceConfigDialog = LibStub("AceConfigDialog-3.0", true)
vexalarm.AceConfig = LibStub("AceConfig-3.0", true);
vexalarm.AceConsole= LibStub("AceConsole-3.0", true);
vexalarm.LSM = LibStub("LibSharedMedia-3.0", true);
vexalarm.LSMWidgets = LibStub("AceGUI-3.0-SharedMediaWidgets", true);

--Adding a sound: add the file in the sounds folder and 
--add following line unter this comment after changing the SOUNDNAME and SOUNDFILE:
--vexalarm.LSM:Register("sound", "SOUNDNAME", "Interface\\AddOns\\vexalarm\\sounds\\SOUNDFILE.wav")
for i=1,38 do
	if i<10 then	k = "0"..i
	else			k = ""..i end
	vexalarm.LSM:Register("sound", k, "Interface\\AddOns\\vexalarm\\sounds\\button_"..i..".ogg")
end

function vexalarm_OnEvent(self, event, ...)
	if event == "PLAYER_LOGIN" then
		vexalarm_load_variables(false)
		vexalarm_checkshow()
		vexalarm_setsound()
		
		vexalarm_frame_bg:SetWidth(vexalarm_frame_width)
		vexalarm_frame_bg:SetHeight(vexalarm_frame_height)
		vexalarm_frame_bg:SetPoint("TOPLEFT", UIParent, "TOPLEFT", vexalarm_frame_xvalue, vexalarm_frame_yvalue)
		vexalarm_change_frame_bg()
		
		vexalarm_optionpanel_OnLoad()
		vexalarm_frame_bg:SetMovable(false)
		vexalarm_frame_bg:EnableMouse(false)
		print("|CFFFF7D0AVex Alarm|r loaded")
	elseif event == "PLAYER_ENTER_COMBAT" then
		vexalarm_check_fulltext()
		vexalarm_infight = true
		vexalarm_checkshow()
	elseif event == "PLAYER_LEAVE_COMBAT" then
		vexalarm_check_fulltext()
		vexalarm_infight = false
		vexalarm_checkshow()
	else
		if vexalarm_show then
			vexalarm_check_fulltext()
			if vexalarm_infight or ( not(vexalarm_infight) and not(vexalarm_showonlyinfight)) then
				local eventchar  = select(2, ...)
				if(eventchar == "SPELL_AURA_APPLIED") then
					alarmtype = vexalarm_spellcheck(select(12, ...),  select(5, ...), eventchar)
					if(alarmtype ~="" and alarmtype ~="dejavue") then
						vexalarm_proclaim(alarmtype, select(13, ...), select(5, ...), select(9, ...), true)
					end
				elseif(eventchar == "SPELL_CAST_SUCCESS") then
					alarmtype = vexalarm_spellcheck(select(12, ...),  select(5, ...), eventchar)
					if(alarmtype ~="" and alarmtype ~="dejavue") then
						vexalarm_proclaim(alarmtype, select(13, ...), select(5, ...), select(9, ...), true)
					end
				elseif(eventchar == "SPELL_AURA_REMOVED") then
					alarmtype = vexalarm_spellcheck(select(12, ...),  select(5, ...), eventchar)
					if(alarmtype ~="" and alarmtype ~="dejavue") then
						vexalarm_proclaim(alarmtype, select(13, ...), select(5, ...), select(9, ...), false)
					end
				end
			end
		end
	end
end